org.jboss.resteasy.specimpl

## Class LinkImpl

- java.lang.Object
- - javax.ws.rs.core.Link
  - - org.jboss.resteasy.specimpl.LinkImpl

-     public class LinkImpl
      extends Link

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.ws.rs.core.Link

      `Link.Builder, Link.JaxbAdapter, Link.JaxbLink`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static RuntimeDelegate.HeaderDelegate<Link>` | `delegate`
    `protected Map<String,String>` | `map` A map for all the link parameters such as "rel", "type", etc.
    `protected URI` | `uri`

    - ### Fields inherited from class javax.ws.rs.core.Link

      `REL, TITLE, TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LinkImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)`
    `Map<String,String>` | `getParams()` Returns an immutable map that includes all the link parameters defined on this link.
    `String` | `getRel()` Returns the value associated with the link `rel` param, or `null` if this param is not specified.
    `List<String>` | `getRels()` Returns the value associated with the link `rel` param as a list of strings or the empty list if `rel` is not defined.
    `String` | `getTitle()` Returns the value associated with the link `title` param, or `null` if this param is not specified.
    `String` | `getType()` Returns the value associated with the link `type` param, or `null` if this param is not specified.
    `URI` | `getUri()` Returns the underlying URI associated with this link.
    `UriBuilder` | `getUriBuilder()` Convenience method that returns a `UriBuilder` initialized with this link's underlying URI.
    `int` | `hashCode()`
    `String` | `toString()` Returns a string representation as a link header (RFC 5988).
    `static Link` | `valueOf(String value)`

    - ### Methods inherited from class javax.ws.rs.core.Link

      `fromLink, fromMethod, fromPath, fromResource, fromUri, fromUri, fromUriBuilder`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### uri

          protected URI uri

    - #### map

          protected Map<String,String> map

      A map for all the link parameters such as "rel", "type", etc.

    - #### delegate

          protected static final RuntimeDelegate.HeaderDelegate<Link> delegate

  - ### Constructor Detail

    - #### LinkImpl

          public LinkImpl()

  - ### Method Detail

    - #### valueOf

          public static Link valueOf(String value)

    - #### getUri

          public URI getUri()

      Description copied from class: `Link`
      Returns the underlying URI associated with this link.
      Specified by:
        `getUri` in class `Link`
      Returns:
        underlying URI.

    - #### getUriBuilder

          public UriBuilder getUriBuilder()

      Description copied from class: `Link`
      Convenience method that returns a `UriBuilder` initialized with this link's underlying URI.
      Specified by:
        `getUriBuilder` in class `Link`
      Returns:
        UriBuilder initialized using underlying URI.

    - #### getRel

          public String getRel()

      Description copied from class: `Link`
      Returns the value associated with the link `rel` param, or `null` if this param is not specified.
      Specified by:
        `getRel` in class `Link`
      Returns:
        relation types as string or `null`.

    - #### getRels

          public List<String> getRels()

      Description copied from class: `Link`
      Returns the value associated with the link `rel` param as a list of strings or the empty list if `rel` is not defined.
      Specified by:
        `getRels` in class `Link`
      Returns:
        relation types as list of strings or empty list.

    - #### getTitle

          public String getTitle()

      Description copied from class: `Link`
      Returns the value associated with the link `title` param, or `null` if this param is not specified.
      Specified by:
        `getTitle` in class `Link`
      Returns:
        value of title parameter or `null`.

    - #### getType

          public String getType()

      Description copied from class: `Link`
      Returns the value associated with the link `type` param, or `null` if this param is not specified.
      Specified by:
        `getType` in class `Link`
      Returns:
        value of type parameter or `null`.

    - #### getParams

          public Map<String,String> getParams()

      Description copied from class: `Link`
      Returns an immutable map that includes all the link parameters defined on this link. If defined, this map will include entries for `rel`, `title` and `type`.
      Specified by:
        `getParams` in class `Link`
      Returns:
        immutable map of link parameters.

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Description copied from class: `Link`
      Returns a string representation as a link header (RFC 5988). All link params are serialized as link-param="value" where value is a quoted-string. For example, ; title="employee"; rel="manager friend"
      Specified by:
        `toString` in class `Link`
      Returns:
        string link header representation for this link.

Copyright © 2014. All Rights Reserved.